import { Component } from 'solid-js';
import cache from '../../lib/cache';
import { peekCachedSignal } from '../../workers/cached-signals';
import Tree from '../tree';

interface Props {
  gpxId: string;
}

const GpxViewer: Component<Props> = ({ gpxId }) => {
  const gpx = peekCachedSignal({ id: gpxId, method: 'getGpx' });
  console.log({ caller: 'GpxViewer', gpx: gpx() });
  const title = () => {};
  return <Tree title={'gpx'} content={undefined} subTree={undefined} />;
};

export default GpxViewer;
